Overview: |
  Implement CSS closely recreating the page shown in the video below. Turn on the sound to hear an explanation of what you'll need to do.
  <video src="demo.webm" autoplay muted controls></video>
Features:
  Header:
    ^merge: feature
    weight: 2
    text: |
      The header should:

      - cycle through background colors,
      - be a bit translucent unless the mouse hovers over it,
      - stick to the top of the browser viewport,
      - contain uppercase text with a white shadow for readability,
      - underline the text when the mouse hover over the header (not just the text), and
      - have a drop-shadow that is not fully black.
  Hero images:
    ^merge: feature
    text: The two large photos (the one with the camera and the Scooter concert) should have the height of the browser viewport, and should scale to always cover the available area. They should be centered. The second photo should never scroll, but should be fixed to the viewport, creating a parallax effect.
  Quote:
    ^merge: feature
    text: The Scooter quote should scroll over the Scooter photo, on top of a nicely spaced full-width semi-transparent black background. Besides that, the quote text should have a black shadow for extra readability.
  Growing elements:
    weight: 2
    ^merge: feature
    text: |
      Each of the four elements should:

      - show the provided photo,
      - overlay the photo with a gradient that is 0% black in the middle and 60% black at the bottom,
      - show the text nicely spaced and aligned to the bottom right,
      - transition to a slightly larger size (using transform) when the mouse pointer hovers over it, and
      - underline the text when the mouse pointer hovers over it.
  Input field:
    weight: 1
    ^merge: feature
    text: |
      The input element should be like the other elements, but should:
      
      - display the input element without a border, but with a drop shadow and rounded corners,
      - use proper spacing, and
      - transition the input background (which is marked `required`) to a light green when the user has typed anything.
